<?php

/**
 * Display a static horizontal loading bar 
 * with default colors and no usage of javascript.
 * 
 * @version    $Id$
 * @author     Laurent Laville <pear@laurent-laville.org>
 * @package    HTML_Progress
 */

require_once 'HTML/Progress/BarHorizontal.php';

$p = new HTML_Page();
$p->setTitle("PEAR::HTML_Progress - Example 7j");
$p->setMetaData("author", "Laurent Laville");

$bar = new HTML_Progress_Bar_Horizontal('natural', $p);

$css = $bar->getStyle();
$css->setStyle('body', 'background-color', '#ffffff');
$css->setStyle('body', 'font-family', 'Verdana, Arial');
$css->setStyle('a:link', 'color', '#006600');
$css->setSameStyle('a:visited, a:active', 'a:link');
$css->setStyle('div.col1', 'float', 'left');
$css->setStyle('div.col1', 'width', '15%');
$css->setStyle('div.col2', 'margin-left', '20%');
$css->setStyle('div.col2', 'border', '1px solid green');
$css->setStyle('div.col2', 'padding', '1em');
$css->setStyle('div.col2', 'height', '80%');
for ($i=0; $i<4; $i++) {
    $css->setSameStyle('#progressCell'.$i.'a', '.cell1');
    $css->setStyle('#progressCell'.$i.'a', 'visibility', 'visible');
}

$p->addStyleDeclaration($css);
$p->addBodyContent('<div class="col1">'.$bar->toHTML().'</div>');
$p->addBodyContent('<div class="col2">');
$p->addBodyContent('<h1>Example 7 without javascript</h1>');
$p->addBodyContent('<p><i><b>Laurent Laville, August 2003</b></i></p>');
$p->addBodyContent('</div>');
$p->display();


echo '<p>&lt;&lt; <a href="index.html">Back documentation</a></p>';

?>